/**
 *    Copyright (C) 2021 Graham Leggett <minfrin@sharp.fm>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/*
 * Common utility functions for all tools.
 */

#ifndef DEVICE_UTIL_H
#define DEVICE_UTIL_H

#include <apr_pools.h>

#include <redwax-tool.h>

int redwax_certcmp(redwax_certificate_t *cert1, redwax_certificate_t *cert2);

apr_size_t redwax_strrcspn(const char *s, const char *charset);

const char *redwax_stroff(const char *s, apr_size_t off);

const char *redwax_pstrntrim(apr_pool_t *p, const char *s, apr_size_t off);

const char *redwax_pescape_echo(apr_pool_t *p, const char *str,
        redwax_token_quoted_e quoted, int close);


#endif
